import os
import sys
sys.path.append(os.path.join(os.path.dirname(__file__), '..'))  # Add parent directory to system path

from src.client import Client
from src import urls

from tests.accounts import test_accounts
from tests.profiles import test_profiles

def tests():
        
    client = Client("http://0.0.0.0:8000/")

    print("ACCOUNTS".center(os.get_terminal_size()[0], '-'))    
    test_accounts(client)
       
    print("PROFILES".center(os.get_terminal_size()[0], '-'))    
    test_profiles(client)

if __name__ == "__main__":
    tests()